/*  rpc -- A console-based reverse polish notation calculator
    Copyright (C) 2000, 2001, 2002 Paul Pelzl

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/



/* RpcCommander.h
 * Declaration of the top-level class for rpc.  Decides which module
 * (main interface, editor, etc.) should have control.
 */
 
#include "RpcCalc.h"
#include "RpcInterface.h"

class RpcCommander
{
    private:
        RpcCalc calc;            // Basic calculator object.
        RpcInterface UI;         // User interface object.
        
        // Other interface-type objects (e.g. editors) would
        // go here.
        

    public:
        RpcCommander();          // Constructor.
        ~RpcCommander();         // Destructor.
        
        void run( void );        // Do something useful
        void wResize( void );    // Handle xterm window resize.
};


// arch-tag: rpc toplevel class (header)
