/*  rpc -- A console-based reverse polish notation calculator
    Copyright (C) 2000, 2001, 2002 Paul Pelzl

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/



#include "RpcError.h"


// Default constructor
RpcError::RpcError()
{
    type = ERROR_TYPE;
    errorCode = ERRORCODE_BADARG;
}


// Default destructor
RpcError::~RpcError()
{
}


// Construct a particular type of error
RpcError::RpcError( int code )
{
    type = ERROR_TYPE;
    errorCode = code;
}

// Copy constructor
RpcError::RpcError( const RpcError& oldError )
{
    type = ERROR_TYPE;
    errorCode = oldError.errorCode;
}


// Assignment operator
RpcError& RpcError::operator =( const RpcError& rhs )
{
    if( this != &rhs )
    {
        type = ERROR_TYPE;
        errorCode = rhs.errorCode;
    }
    return( *this );
}


// Return the display string for this error object.
char* RpcError::getDisplayString( RpcCalcFlags flags ) const
{
    return( "<rpc error>" );
}



// arch-tag: rpc error type
