/*  rpc -- A console-based reverse polish notation calculator
    Copyright (C) 2000, 2001, 2002 Paul Pelzl

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


#ifndef RPCERROR_H
#define RPCERROR_H

#define ERRORCODE_NOERR 0
#define ERRORCODE_BADARG 1
#define ERRORCODE_TOOFEW 2
#define ERRORCODE_SINGULAR 3
#define ERRORCODE_CONST_OVERFLOW 4


#include "RpcObject.h"

class RpcError : public RpcObject
{
//  Potentially have storage for different data states

public:
    int errorCode;
      
    RpcError();
    ~RpcError();
    
    RpcError( int );    // construct a particular type of error
    
    RpcError( const RpcError& );
    RpcError& operator =( const RpcError& );

    char* getDisplayString( RpcCalcFlags ) const;
};


#endif /* RPCERROR_H */


// arch-tag: rpc error type (header)
