/*  rpc -- A console-based reverse polish notation calculator
    Copyright (C) 2000, 2001, 2002 Paul Pelzl

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


/*  ccm-compat.h
 *  Header file for a C wrapper function that handles calls to the
 *  CCMATH library.  This is necessary to achieve C++ compatibility.
 */

#ifndef CCMCOMPAT_H
#define CCMCOMPAT_H 1


// Stolen from the CCMATH header
#ifndef CPX
struct complex {double re,im;};
typedef struct complex Cpx;
#define CPX  1
#endif


Cpx cMul( Cpx, Cpx );
Cpx cDiv( Cpx, Cpx );
Cpx cAdd( Cpx, Cpx );
Cpx cSub( Cpx, Cpx );
Cpx cRmu( double, Cpx );
Cpx cImu( double, Cpx );
Cpx cCng( Cpx );
Cpx cDef( double, double );
double cAbs( Cpx );
double cNrm( Cpx );
Cpx cExp( Cpx );
Cpx cLog( Cpx );
Cpx cSinh( Cpx );
Cpx cCosh( Cpx );
Cpx cTanh( Cpx );
Cpx cAsinh( Cpx );
Cpx cAcosh( Cpx );
Cpx cAtanh( Cpx );
Cpx cAsin( Cpx );
Cpx cAcos( Cpx );
Cpx cAtan( Cpx );
Cpx cSqrt( Cpx );
Cpx cSin( Cpx );
Cpx cCos( Cpx );
Cpx cTan( Cpx );
        

void Rmmult( double*, double*, double*, int, int, int );
void Cmmult( Cpx*, Cpx*, Cpx*, int, int, int );
int Minv( double*, int );
int cMinv( Cpx*, int );
void Mattr( double*, double*, int, int );
void cMattr( Cpx*, Cpx*, int, int );


#endif /* CCMCOMPAT_H */

    
// arch-tag: ccmath C++ compatibility wrapper (header)
